Loading...
Searching...
No Matches
oid.hpp File Reference

## Description

Provides bsoncxx::v_noabi::oid.

Includes
  - bsoncxx/v1/oid.hpp

Go to the source code of this file.

## Classes

class | bsoncxx::v_noabi::oid
| Represents a MongoDB BSON ObjectId. More...

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.

## Functions

oid | bsoncxx::v_noabi::from_v1 (v1::oid const &v)
| Convert to the bsoncxx::v_noabi equivalent of v.
v1::oid | bsoncxx::v_noabi::to_v1 (v_noabi::oid const &v)
| Convert to the bsoncxx::v1 equivalent of v.